# class RSS::Rss::Channel::Item::Guid

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/2.0.rb, line 105
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.isPermaLink = args[0]
        self.content = args[1]
      end
    end

### Public Instance Methods

PermaLink?() click to toggle source

    # File lib/rss/2.0.rb, line 117
    def PermaLink?
      perma = _PermaLink?
      perma or perma.nil?
    end

Also aliased as: _PermaLink?
_PermaLink?()
Alias for: PermaLink?

### Private Instance Methods

maker_target(item) click to toggle source

    # File lib/rss/2.0.rb, line 123
    def maker_target(item)
      item.guid
    end

setup_maker_attributes(guid) click to toggle source

    # File lib/rss/2.0.rb, line 127
    def setup_maker_attributes(guid)
      guid.isPermaLink = isPermaLink
      guid.content = content
    end